{
   "name": "@hibas123/openauth-backend",
   "main": "lib/index.js",
   "author": "Fabian Stamm <dev@fabianstamm.de>",
   "license": "MIT",
   "scripts": {
      "build": "run-s build-ts build-doc",
      "build-doc": "apidoc -i src/ -p apidoc/",
      "build-ts": "tsc",
      "start": "node lib/index.js",
      "dev": "nodemon -e ts --exec ts-node src/index.ts",
      "format": "prettier --write \"src/**\""
   },
   "pipelines": {
      "install": [
         "cd views && npm install",
         "git submodule init",
         "git submodule update",
         "cd views_repo && npm install"
      ]
   },
   "devDependencies": {
      "@types/body-parser": "^1.19.2",
      "@types/compression": "^1.7.2",
      "@types/cookie-parser": "^1.4.3",
      "@types/dotenv": "^8.2.0",
      "@types/express": "^4.17.17",
      "@types/express-session": "^1.17.7",
      "@types/i18n": "^0.13.6",
      "@types/ini": "^1.3.31",
      "@types/jsonwebtoken": "^9.0.1",
      "@types/mongodb": "^4.0.7",
      "@types/node": "^18.15.11",
      "@types/node-rsa": "^1.1.1",
      "@types/qrcode": "^1.5.0",
      "@types/speakeasy": "^2.0.7",
      "@types/uuid": "^9.0.1",
      "apidoc": "^0.54.0",
      "concurrently": "^8.0.1",
      "nodemon": "^2.0.22",
      "prettier": "^2.8.7",
      "ts-node": "^10.9.1",
      "typescript": "^5.0.4"
   },
   "dependencies": {
      "@hibas123/config": "^1.1.2",
      "@hibas123/nodelogging": "^3.1.3",
      "@hibas123/nodeloggingserver_client": "^1.1.2",
      "@hibas123/openauth-internalapi": "workspace:^",
      "@hibas123/openauth-views-v1": "workspace:^",
      "@hibas123/safe_mongo": "^2.0.1",
      "@simplewebauthn/server": "^7.2.0",
      "body-parser": "^1.20.2",
      "compression": "^1.7.4",
      "connect-mongo": "^5.0.0",
      "cookie-parser": "^1.4.6",
      "cors": "^2.8.5",
      "dotenv": "^16.0.3",
      "express": "^4.18.2",
      "express-session": "^1.17.3",
      "handlebars": "^4.7.7",
      "i18n": "^0.15.1",
      "ini": "^4.0.0",
      "joi": "^17.9.1",
      "jsonwebtoken": "^9.0.0",
      "moment": "^2.29.4",
      "mongodb": "^5.2.0",
      "node-rsa": "^1.1.1",
      "npm-run-all": "^4.1.5",
      "qrcode": "^1.5.1",
      "reflect-metadata": "^0.1.13",
      "speakeasy": "^2.0.0",
      "u2f": "^0.1.3",
      "uuid": "^9.0.0"
   },
   "packageManager": "yarn@3.5.0"
}
